;---------------------------------------------------------------------------
;		Variables personnelles
;---------------------------------------------------------------------------
dos		= 1
bios		= 13
xbios		= 14

esc		= 27
lf		= 10
rc		= 13	; format Atari : rc lf
cr		= rc
ff		= 12
bspc		= 8

read		= 0	; pour file open, write ...
write		= 1
read_write		= 2

RAM_ST=0
RAM_TT=1
RAM_ST_TT=2
RAM_TT_ST=3

; 0=BPS1 1=BPS2 2=BPS4 3=BPS8 4=BPS16 7=NUMCOLS
; 0=col40 8=col80 tv=0 vga=$10 pal=$20 overscan=$40 STmodes=$80 Vertflag=$100
res64048016		= $3a	; pour set mode : tout est en PAL/VGA
res640480256	= $3b
res320480tc		= $34
res32020016		= $1b2	; compatible basse
res32024016		= $132
res32048016		= $32
res320240256	= $133
res320240tc		= $134

freq8		= %00001011
freq10		= %00001001
freq12		= %00000111
freq16		= %00000101
freq20		= %00000100
freq25		= %00000011
freq33		= %00000010
freq49		= %00000001

;---------------------------------------------------------------------------

ETV_CRITIC		= $404
HDV_BPB		= $472
HDV_RW		= $476
HDV_MEDIAC		= $47E
_DRVBITS		= $4C2

ecran		= $44e
futur_ecran 	= $45e
vbl_cpt		= $466
cpt_200		= $4ba
vblqueue		= $4ce+4
enable_vbl  	= $452
hbl		= $68
palette		= $ffff8240
palette256		= $ffff9800
chipsonore		= $ffff8800
chipvideo		= $ffff8205
clavier		= $fffffc02
dma		= $ffff8604
datac		= $fffffa23
datad		= $fffffa25
ctrlcd		= $fffffa1d
timera		= $134
dataa		= $fffffa1f
ctrla		= $fffffa19
timerb		= $120
datab		= $fffffa21
ctrlb		= $fffffa1b

zilog8530A		= $ffff8c81
zilogrsA		= $ffff8c83	; zilog send/receive register
zilog8530B		= $ffff8c85
zilogrsB		= $ffff8c87

dsp_host_isr	= $ffffa202
dsp_host		= $ffffa204
codec_freq		= $ffff8935
;-------------------------------------------------------------------------
GWVA_WIND_TYPE_CUSTOM	= 1
GWVA_WIND_TYPE_TEXT	= 2
GWVA_WIND_TYPE_FORM	= 3
GWVA_WIND_TYPE_BITMAP	= 4
GWVA_WIND_TYPE_UNDEF	= 5
;-------------------------------------------------------------------------
GWVA_FORM_WIND_OBJECT_TEXT	= 1
GWVA_FORM_WIND_OBJECT_BUTTON	= 2
GWVA_FORM_WIND_OBJECT_MENU_POPUP	= 3
GWVA_FORM_WIND_OBJECT_RADIO_BUTTON	= 4
GWVA_FORM_WIND_OBJECT_ROLL_POPUP	= 5
GWVA_FORM_WIND_OBJECT_ROLL_RADIO_B	= 6
GWVA_FORM_WIND_OBJECT_PROGRESS_BAR	= 7
GWVA_FORM_WIND_OBJECT_SLIDER	= 8
GWVA_FORM_WIND_OBJECT_CLIK_EQUIV	= 9
*GWVA_FORM_WIND_OBJECT_	= 
* l'utilisateur peut crer des numros d'objets  partir de $0100

;-------------------------------------------------------------------------
GWVA_EVNT_CLICK	= 1	; boutons (exit, touch-exit) ou texte (touch-exit) mais pas texte editable
GWVA_EVNT_DCLICK	= 2	; "" idem sauf pour le champs texte editable pour lequel le seul evnt est le double click
GWVA_EVNT_GOTFOCUS	= 3	; champs ditable
GWVA_EVNT_LOSTFOCUS	= 4	; champs ditable
GWVA_EVNT_SELECTED	= 5	; radio bouton, bouton selectable mais non exit
GWVA_EVNT_UNSELECTED	= 6	; "" idem
GWVA_EVNT_CHANGED	= 7	; popup, champs ditable, dropdown list
;-------------------------------------------------------------------------
GWVA_ERROR_GENERIC		= -1
GWVA_ERROR_READ		= -11
GWVA_ERROR_MALLOC		= -39

GWVA_ERROR_WIND_BAD_HANDLE	= -1000
GWVA_ERROR_WIND_OPEN		= -1001
GWVA_ERROR_WIND_USER_CANCEL_OPEN	= -1002
GWVA_ERROR_WIND_ALREADY_CREATED	= -1010
GWVA_ERROR_WIND_VA_BUFF_FULL	= -1011
GWVA_ERROR_WIND_BAD_STRUCTURE	= -1012
GWVA_ERROR_WIND_BAD_COLOR_NBR	= -1013
GWVA_ERROR_WIND_BAD_INC_DEF	= -1014
GWVA_ERROR_WIND_GEM_CREATE	= -1020
GWVA_ERROR_WIND_USER_CANCEL_CREATE	= -1021
;-------------------------------------------------------------------------
GWVA_APP_BIT_RSC_IN_MEM		= 0
GWVA_APP_BIT_RSC_MULTI_RES	= 1
GWVA_APP_BIT_BACKGROUND		= 2
GWVA_APP_BIT_BACKGROUND_CENTER	= 3
GWVA_APP_BIT_MENU		= 4

GWVA_APP_MASK_RSC_IN_MEM	= 1<<GWVA_APP_BIT_RSC_IN_MEM
GWVA_APP_MASK_RSC_MULTI_RES	= 1<<GWVA_APP_BIT_RSC_MULTI_RES
GWVA_APP_MASK_BACKGROUND	= 1<<GWVA_APP_BIT_BACKGROUND
GWVA_APP_MASK_BACKGROUND_CENTER	= 1<<GWVA_APP_BIT_BACKGROUND_CENTER
GWVA_APP_MASK_MENU		= 1<<GWVA_APP_BIT_MENU
;-------------------------------------------------------------------------
GWVA_WIN_BIT_FULL		= 0
GWVA_WIN_BIT_OPEN		= 1
GWVA_WIN_BIT_CURS		= 2
GWVA_WIN_BIT_ICON		= 3
GWVA_WIN_BIT_NAMIFIED		= 4
GWVA_WIN_BIT_FOCUSED		= 5
;GWVA_WIN_BIT_		= 6
;GWVA_WIN_BIT_		= 7
GWVA_WIN_MASK_FULL		= 1<<GWVA_WIN_BIT_FULL
GWVA_WIN_MASK_OPEN		= 1<<GWVA_WIN_BIT_OPEN
GWVA_WIN_MASK_CURS		= 1<<GWVA_WIN_BIT_CURS
GWVA_WIN_MASK_ICON		= 1<<GWVA_WIN_BIT_ICON
GWVA_WIN_MASK_NAMIFIED		= 1<<GWVA_WIN_BIT_NAMIFIED
GWVA_WIN_MASK_FOCUSED		= 1<<GWVA_WIN_BIT_FOCUSED

GWVA_WIN_BIT_HIDETREE		= 0	; N'existe qu' partir du 4.1
GWVA_WIN_BIT_AMENU		= 1
GWVA_WIN_BIT_CTRLC		= 2
GWVA_WIN_BIT_CTRLV		= 3
GWVA_WIN_BIT_CTRLX		= 4
;GWVA_WIN_BIT_		= 5
;GWVA_WIN_BIT_		= 6
;GWVA_WIN_BIT_		= 7
GWVA_WIN_BIT_COPYXY		= 8
GWVA_WIN_BIT_AUTODEL		= 9
GWVA_WIN_BIT_FREEPTR1		= 10
GWVA_WIN_BIT_FREEPTR2		= 11
GWVA_WIN_BIT_FREEDATA		= 12
GWVA_WIN_BIT_FREEPAL		= 13
GWVA_WIN_BIT_FREEFORM		= 14
GWVA_WIN_BIT_FREETOOL		= 15

GWVA_WIN_MASK_HIDETREE		= 1<<GWVA_WIN_BIT_HIDETREE
GWVA_WIN_MASK_AMENU		= 1<<GWVA_WIN_BIT_AMENU
GWVA_WIN_MASK_CTRLC		= 1<<GWVA_WIN_BIT_CTRLC
GWVA_WIN_MASK_CTRLV		= 1<<GWVA_WIN_BIT_CTRLV
GWVA_WIN_MASK_CTRLX		= 1<<GWVA_WIN_BIT_CTRLX
GWVA_WIN_MASK_COPYXY		= 1<<GWVA_WIN_BIT_COPYXY
GWVA_WIN_MASK_AUTODEL		= 1<<GWVA_WIN_BIT_AUTODEL
GWVA_WIN_MASK_FREEPTR1		= 1<<GWVA_WIN_BIT_FREEPTR1
GWVA_WIN_MASK_FREEPTR2		= 1<<GWVA_WIN_BIT_FREEPTR2
GWVA_WIN_MASK_FREEDATA		= 1<<GWVA_WIN_BIT_FREEDATA
GWVA_WIN_MASK_FREEPAL		= 1<<GWVA_WIN_BIT_FREEPAL
GWVA_WIN_MASK_FREEFORM		= 1<<GWVA_WIN_BIT_FREEFORM
GWVA_WIN_MASK_FREETOOL		= 1<<GWVA_WIN_BIT_FREETOOL
;-------------------------------------------------------------------------
; Ne sont dfinis ici que les champs qui ne sont pas remplis automatiquement par le V.A.
GWVA_WIN_CLONE_BIT_FATHER_PTR	= 0
GWVA_WIN_CLONE_BIT_NEXT_BROTHER_PTR	= 1
GWVA_WIN_CLONE_BIT_FIRST_SON_PTR	= 2
GWVA_WIN_CLONE_BIT_NAME		= 3
GWVA_WIN_CLONE_BIT_INFO		= 4
GWVA_WIN_CLONE_BIT_ICON_WIND_PTR	= 5
GWVA_WIN_CLONE_BIT_MENU_SPEC_PTR	= 6
GWVA_WIN_CLONE_BIT_KEY_TABLE	= 7
GWVA_WIN_CLONE_BIT_SPEC_PTR	= 8
GWVA_WIN_CLONE_BIT_USER_PTR1	= 9
GWVA_WIN_CLONE_BIT_USER_PTR2	= 10
GWVA_WIN_CLONE_BIT_DATA_PTR	= 16	; WIND_BITMAP
GWVA_WIN_CLONE_BIT_PAL_PTR	= 17	; WIND_BITMAP
GWVA_WIN_CLONE_BIT_SAVED_FORM_GIVEN	= 20	; WIND_FORM : 1 = pointeur sur la sauvegarde du formulaire dans GWVA_WFORM_OBJ_CLONE_FORM_SAVE
GWVA_WIN_CLONE_BIT_DEF_OBJ_PTR_STRUCT= 21	; pointeur des structures des objets des fentres formulaires
*GWVA_WIN_CLONE_BIT_		= 
*GWVA_WIN_CLONE_BIT_		= 
GWVA_WIN_CLONE_BIT_RECURSE	= 31

GWVA_WIN_CLONE_MASK_FATHER_PTR	= 1<<GWVA_WIN_CLONE_BIT_FATHER_PTR
GWVA_WIN_CLONE_MASK_NEXT_BROTHER_PTR= 1<<GWVA_WIN_CLONE_BIT_NEXT_BROTHER_PTR
GWVA_WIN_CLONE_MASK_FIRST_SON_PTR	= 1<<GWVA_WIN_CLONE_BIT_FIRST_SON_PTR
GWVA_WIN_CLONE_MASK_NAME	= 1<<GWVA_WIN_CLONE_BIT_NAME
GWVA_WIN_CLONE_MASK_INFO	= 1<<GWVA_WIN_CLONE_BIT_INFO
GWVA_WIN_CLONE_MASK_ICON_WIND_PTR	= 1<<GWVA_WIN_CLONE_BIT_ICON_WIND_PTR
GWVA_WIN_CLONE_MASK_MENU_SPEC_PTR	= 1<<GWVA_WIN_CLONE_BIT_MENU_SPEC_PTR
GWVA_WIN_CLONE_MASK_KEY_TABLE	= 1<<GWVA_WIN_CLONE_BIT_KEY_TABLE
GWVA_WIN_CLONE_MASK_SPEC_PTR	= 1<<GWVA_WIN_CLONE_BIT_SPEC_PTR
GWVA_WIN_CLONE_MASK_USER_PTR1	= 1<<GWVA_WIN_CLONE_BIT_USER_PTR1
GWVA_WIN_CLONE_MASK_USER_PTR2	= 1<<GWVA_WIN_CLONE_BIT_USER_PTR2
GWVA_WIN_CLONE_MASK_DATA_PTR	= 1<<GWVA_WIN_CLONE_BIT_DATA_PTR
GWVA_WIN_CLONE_MASK_PAL_PTR	= 1<<GWVA_WIN_CLONE_BIT_PAL_PTR
GWVA_WIN_CLONE_MASK_SAVED_FORM_GIVEN= 1<<GWVA_WIN_CLONE_BIT_SAVED_FORM_GIVEN
GWVA_WIN_CLONE_MASK_DEF_OBJ_PTR_STRUCT= 1<<GWVA_WIN_CLONE_BIT_DEF_OBJ_PTR_STRUCT
GWVA_WIN_CLONE_MASK_RECURSE	= 1<<GWVA_WIN_CLONE_BIT_RECURSE
;-------------------------------------------------------------------------
GWVA_WFORM_SAVE_BIT_STATE	= 0	; sauve l'tat des objets et le caractre des BOXCHAR
GWVA_WFORM_SAVE_BIT_TEDINFO	= 1	; sauve les TEDINFO
GWVA_WFORM_SAVE_BIT_TEXT	= 2	; sauve les textes non ditables sauf le caractre des icones
GWVA_WFORM_SAVE_BIT_FTEXT	= 3	; sauve les textes editables (texte+mise en forme+champ de saisie)
GWVA_WFORM_SAVE_BIT_BITBLK	= 4	; sauve les BITBLK
GWVA_WFORM_SAVE_BIT_ICONBLK	= 5	: sauve les ICONBLK (+texte ?)
GWVA_WFORM_SAVE_BIT_CICONBLK	= 6	; sauve les CICONBLK
GWVA_WFORM_SAVE_BIT_APPLBLK	= 7	; sauve les APPLBLK
GWVA_WFORM_SAVE_BIT_STRUCT	= 8	; sauve les structures

GWVA_WFORM_SAVE_MASK_STATE	= 1<<GWVA_WFORM_SAVE_BIT_STATE
GWVA_WFORM_SAVE_MASK_TEDINFO	= 1<<GWVA_WFORM_SAVE_BIT_TEDINFO
GWVA_WFORM_SAVE_MASK_TEXT	= 1<<GWVA_WFORM_SAVE_BIT_TEXT
GWVA_WFORM_SAVE_MASK_FTEXT	= 1<<GWVA_WFORM_SAVE_BIT_FTEXT
GWVA_WFORM_SAVE_MASK_BITBLK	= 1<<GWVA_WFORM_SAVE_BIT_BITBLK
GWVA_WFORM_SAVE_MASK_ICONBLK	= 1<<GWVA_WFORM_SAVE_BIT_ICONBLK
GWVA_WFORM_SAVE_MASK_CICONBLK	= 1<<GWVA_WFORM_SAVE_BIT_CICONBLK
GWVA_WFORM_SAVE_MASK_APPLBLK	= 1<<GWVA_WFORM_SAVE_BIT_APPLBLK
GWVA_WFORM_SAVE_MASK_STRUCT	= 1<<GWVA_WFORM_SAVE_BIT_STRUCT


;-------------------------------------------------------------------------
GWVA_WIN_H_CENTER		= -32768
GWVA_WIN_V_CENTER		= -32768
;-------------------------------------------------------------------------
GWVA_WIN_GADGETS_MINIMUM	= MASK_NAME|MASK_CLOSER|MASK_MOVER
GWVA_WIN_GADGETS_MAXIMUM	= MASK_NAME|MASK_CLOSER|MASK_FULLER|MASK_MOVER|MASK_INFO|MASK_SIZER|MASK_UPARROW|MASK_DNARROW|MASK_VSLIDE|MASK_LFARROW|MASK_RTARROW|MASK_HSLIDE
GWVA_WFORM_GADGETS_BASE		= MASK_NAME|MASK_CLOSER|MASK_FULLER|MASK_MOVER
GWVA_WIN_PROPERTIES_BASE	= GWVA_WIN_MASK_COPYXY|GWVA_WIN_MASK_AUTODEL
GWVA_WFORM_SAVE_BASE		= GWVA_WFORM_SAVE_MASK_STATE|GWVA_WFORM_SAVE_MASK_TEDINFO|GWVA_WFORM_SAVE_MASK_TEXT|GWVA_WFORM_SAVE_MASK_FTEXT|GWVA_WFORM_SAVE_MASK_STRUCT
;-------------------------------------------------------------------------
GWVA_ERROR_WIND_THREAD_NO_MORE_HANDLE	= -1	; pour create
GWVA_ERROR_WIND_THREAD_ALREADY_EXIST	= -2	; pour create
GWVA_ERROR_WIND_THREAD_DOESNOT_EXIST	= -3	; pour delete
GWVA_ERROR_WIND_THREAD_BAD_PARAMS		= -4	; pour create/delete

GWVA_WIND_THREAD_FLAG_BIT_REAL_TIME		= 0	; appli temps rel : vrifie  chaque timer
;-------------------------------------------------------------------------
;		Variables Documentes GEM/AES/Autre
;-------------------------------------------------------------------------
;ACC_ID		= $400
;ACC_OPEN		= $401
;ACC_CLOSE		= $402
;ACC_ACC		= $403

AV_PROTOKOLL	= $4700
VA_PROTOSTATUS	= $4701
AV_GETSTATUS	= $4703
AV_STATUS		= $4704
VA_SETSTATUS	= $4705
AV_SENDKEY		= $4710
VA_START		= $4711
AV_ASKFILEFONT	= $4712
VA_FILEFONT		= $4713
AV_ASKCONFONT	= $4714
VA_CONFONT		= $4715
AV_ASKOBJECT	= $4716
VA_OBJECT		= $4717
AV_OPENCONSOLE	= $4718
VA_CONSOLEOPEN	= $4719
AV_OPENWIND		= $4720
VA_WINDOPEN		= $4721
AV_STARTPROG	= $4722
VA_PROGSTART	= $4723
AV_ACCWINDOPEN	= $4724
VA_DRAGACCWIND	= $4725
AV_ACCWINDCLOSED	= $4726
AV_COPY_DRAGGED	= $4728
VA_COPY_COMPLETE	= $4729
AV_PATH_UPDATE	= $4730
AV_WHAT_IZIT	= $4732
VA_THAT_IZIT	= $4733
AV_DRAG_ON_WINDOW	= $4734
AV_EXIT		= $4736

VA_OB_UNKNOWN	= 0
VA_OB_TRASHCAN	= 1
VA_OB_SHREDDER	= 2
VA_OB_CLIPBOARD	= 3
VA_OB_FILE		= 4
VA_OB_FOLDER	= 5
VA_OB_DRIVE		= 6
VA_OB_WINDOW	= 7

;-------------------------------------------------------------------------
; VISUAL
WM_BEFORE		= 0	; before doit tre plus petit que after
WM_AFTER		= 1024

;-------------------------------------------------------------------------
; Type de message GEM GWVA
WM_GWVA_REDRAW	= 20+1<<14	; Message interne pour les redraws du GWVA
WM_GWVA_NEWIND	= 29+1<<14	; Message reu  la cration d'une nouvelle fentre, avant son 1er redraw
WM_GWVA_OPENED	= 31+1<<14	; Message reu  l'ouverture d'une fentre, avant et/ou apres son 1er redraw

;-------------------------------------------------------------------------
*
* TCP connection states
*
STIK_TCLOSED	= 0	* No connection.  Null, void, absent, ...          *
STIK_TLISTEN	= 1	* Wait for remote request                          *
STIK_TSYN_SENT	= 2	* Connect request sent.  Await matching request    *
STIK_TSYN_RECV	= 3	* Wait for connection ACK.  (Listener only ??)     *
STIK_TESTABLISH	= 4	* Connection is established.  Handshake completed  *
STIK_TFIN_WAIT1	= 5	* Await termination request or acknowledgement     *
STIK_TFIN_WAIT2	= 6	* Await termination request                        *
STIK_TCLOSE_WAIT	= 7	* Await termination request from local user        *
STIK_TCLOSING	= 8	* Await termination acknowledge from remote TCP    *
STIK_TLAST_ACK	= 9	* Await acknowledgement of terminate request sent  *
STIK_TTIME_WAIT	= 10	* Delay to ensure remote has received term' ACK    *

*
* Error return values
*
STIK_E_NORMAL	= 0	* No error occured ...                     *
STIK_E_OBUFFULL	= -1	* Output buffer is full                    *
STIK_E_NODATA	= -2	* No data available                        *
STIK_E_EOF		= -3	* EOF from remote                          *
STIK_E_RRESET	= -4	* RST received from remote                 *
STIK_E_UA		= -5	* RST.  Other end sent unacceptable pkt    *
STIK_E_NOMEM	= -6	* Something failed due to lack of memory   *
STIK_E_REFUSE	= -7	* Connection refused by remote             *
STIK_E_BADSYN	= -8	* A SYN was received in the window         *
STIK_E_BADHANDLE	= -9	* Bad connection handle used.              *
STIK_E_LISTEN	= -10	* The connection is in LISTEN state        *
STIK_E_NOCCB	= -11	* No free CCB's available                  *
STIK_E_NOCONNECTION	= -12	* No connection matches this packet (TCP)  *
STIK_E_CONNECTFAIL	= -13	* Failure to connect to remote port (TCP)  *
STIK_E_BADCLOSE	= -14	* Invalid TCP_close() requested            *
STIK_E_USERTIMEOUT	= -15	* A user function timed out                *
STIK_E_CNTIMEOUT	= -16	* A the connection timed out               *
STIK_E_CANTRESOLVE	= -17	* Can't resolve the hostname               *
STIK_E_BADDNAME	= -18	* Domain name or dotted dec. bad format    *
STIK_E_LOSTCARRIER	= -19	* The modem disconnected                   *
STIK_E_NOHOSTNAME	= -20	* Hostname does not exist                  *
STIK_E_DNSWORKLIMIT	= -21	* Resolver Work limit reached              *
STIK_E_NONAMESERVER	= -22	* No nameservers could be found for query  *
STIK_E_DNSBADFORMAT	= -23	* Bad format of DS query                   *
STIK_E_UNREACHABLE	= -24	* Destination unreachable                  *
STIK_E_DNSNOADDR	= -25	* No address records exist for host        *
STIK_E_LOCKED	= -26	* Routine is unavailable                   *
STIK_E_LASTERROR	= 26	* ABS of last error code in this list      *

*
* FLagbox Flag definitions (max 64 flags ...)
*
STIK_FL_do_resolve	= 0
STIK_FL_housekeep	= 1
STIK_FL_slipin	= 2
STIK_FL_slipout	= 3
STIK_FL_tcp_timer	= 4
STIK_FL_frag_ttl_check	= 5
STIK_FL_g_resv	= 6
STIK_FL_g_wait	= 7

*
* Values for protocol field
*
STIK_P_ICMP		= 1
STIK_P_TCP		= 6
STIK_P_UDP		= 17


